public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/psi/
Date: Mon,  7 Sep 2020 08:56:51 +0000 (UTC)	[thread overview]
Message-ID: <1599468998.9fcc47ca9669c5a2b2fa8013b65e8dfbc44580be.asturm@gentoo> (raw)

commit:     9fcc47ca9669c5a2b2fa8013b65e8dfbc44580be
Author:     Sergey Ilinykh <rion4ik <AT> gmail <DOT> com>
AuthorDate: Sun Sep  6 14:00:30 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 08:56:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9fcc47ca

net-im/psi: added 1.5 version

Package-Manager: Portage-3.0.5, Repoman-2.3.23
Signed-off-by: Sergey Ilinykh <rion4ik <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/17438
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/psi/Manifest       |   2 +
 net-im/psi/psi-1.5.ebuild | 121 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 123 insertions(+)

diff --git a/net-im/psi/Manifest b/net-im/psi/Manifest
index f46215ca370..2a7bb547a72 100644
--- a/net-im/psi/Manifest
+++ b/net-im/psi/Manifest
@@ -1,2 +1,4 @@
 DIST psi-1.4.tar.xz 2119840 BLAKE2B 28298f526f23a4bcbb5452ca593163efd50c990a6bc9a2ed54d2136e0b34cf34ad2f1d4a81bd529a013b8aa351e8531f4bf9ea7faf3958085869dd75817828f8 SHA512 9bb8da58809270e5387e024f5ea031e28441e66cde53cde219beebe7b46bfa5c41d0a86110d1936d0ac2e15483ffb947f8998cbeeb415f72553cb78b67c57ed1
+DIST psi-1.5.tar.xz 2125104 BLAKE2B ee4114749b5958c61dccc45c2562d868f30a2f4765229c904c32d54d5730e2eaa9ab03e966fa5b83aba7e31d37fafb2b194c74a72f2404f3b51815bc525c5080 SHA512 c2e17dad346b5f7e8c97dc8959d99eaf4c30c1ba11c2d04b562af7b30482d5dbdc3a86508c4c29881ea0fc72db5a9d5fb4017768732cafee6a1d3025a39d8520
 DIST psi-l10n-1.4.tar.gz 3037957 BLAKE2B 2f61c60ee5bc323323ae98ab2eee7d2afec9462850f038fe72816810ef572e4a71a3647f83e09bf948485f56dfbc8dd3bea0a24f6258b13f08867319ca65deea SHA512 ef87a12dd992adcfe5fdc4e88c1d33d6fcd77b2554963e1563cee7ba650d096c3b074795a1a9e650945b1dc46a4936f9520ecd864559b1531cb31763399c258d
+DIST psi-l10n-1.5.tar.gz 3037979 BLAKE2B a1baef1b3c86c1b0a528d4395bd6aabf99e1ec4c077d5d0358d4fd9566fcc2d929f46688c3bb2f56ad1de840fa1699f33c211fa4c7597b66ba0842cccbfbc19c SHA512 d5ed8244fbaa9fdd9a40a14ef3660085c8c9c5a18352900fa8d947fad01aea5894c23d83dc16e8ebf9fe007905ecbb8eca7dfaa4e1cf0fa160af341967886cae

diff --git a/net-im/psi/psi-1.5.ebuild b/net-im/psi/psi-1.5.ebuild
new file mode 100644
index 00000000000..1d1ed507d80
--- /dev/null
+++ b/net-im/psi/psi-1.5.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PLOCALES="be bg ca cs de en eo es et fa fi fr he hu it ja kk mk nl pl pt pt_BR ru sk sl sr@latin sv sw uk ur_PK vi zh_CN zh_TW"
+PLOCALE_BACKUP="en"
+
+inherit l10n qmake-utils xdg
+
+DESCRIPTION="Qt XMPP client"
+HOMEPAGE="https://psi-im.org"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz
+	https://github.com/psi-im/psi-l10n/archive/${PV}.tar.gz -> psi-l10n-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="aspell crypt dbus debug doc enchant +hunspell webengine webkit whiteboarding xscreensaver"
+
+REQUIRED_USE="
+	?? ( aspell enchant hunspell )
+	webengine? ( !webkit )
+"
+
+BDEPEND="
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+"
+DEPEND="
+	app-crypt/qca:2[ssl]
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtmultimedia:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtx11extras:5
+	dev-qt/qtxml:5
+	net-dns/libidn:0
+	sys-libs/zlib[minizip]
+	x11-libs/libX11
+	x11-libs/libxcb
+	aspell? ( app-text/aspell )
+	dbus? ( dev-qt/qtdbus:5 )
+	enchant? ( app-text/enchant:2 )
+	hunspell? ( app-text/hunspell:= )
+	webengine? (
+		dev-qt/qtwebchannel:5
+		dev-qt/qtwebengine:5[widgets]
+	)
+	webkit? ( dev-qt/qtwebkit:5 )
+	whiteboarding? ( dev-qt/qtsvg:5 )
+	xscreensaver? ( x11-libs/libXScrnSaver )
+"
+RDEPEND="${DEPEND}
+	dev-qt/qtimageformats
+"
+
+RESTRICT="test"
+
+src_configure() {
+	CONF=(
+		--prefix="${EPREFIX}"/usr
+		--libdir="${EPREFIX}"/usr/$(get_libdir)
+		--no-separate-debug-info
+		--qtdir="$(qt5_get_bindir)/.."
+		$(use_enable aspell)
+		$(use_enable dbus qdbus)
+		$(use_enable enchant)
+		$(use_enable hunspell)
+		$(use_enable xscreensaver xss)
+		$(use_enable whiteboarding)
+	)
+
+	use debug && CONF+=("--debug")
+	use webengine && CONF+=("--enable-webkit" "--with-webkit=qtwebengine")
+	use webkit && CONF+=("--enable-webkit" "--with-webkit=qtwebkit")
+
+	# This may generate warnings if passed option already matches with default.
+	# Just ignore them. It's how qconf-based configure works and will be fixed in
+	# future qconf versions.
+	./configure "${CONF[@]}" || die "configure failed"
+
+	eqmake5 psi.pro
+}
+
+src_compile() {
+	emake
+	use doc && emake -C doc api_public
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+
+	# this way the docs will be installed in the standard gentoo dir
+	rm "${ED}"/usr/share/psi/{COPYING,README} || die "Installed file set seems to be changed by upstream"
+	newdoc iconsets/roster/README README.roster
+	newdoc iconsets/system/README README.system
+	newdoc certs/README README.certs
+	dodoc README
+
+	use doc && HTML_DOCS=( doc/api/. )
+	einstalldocs
+
+	# install translations
+	local mylrelease="$(qt5_get_bindir)"/lrelease
+	cd "${WORKDIR}/psi-l10n-${PV}" || die
+	insinto /usr/share/psi
+	install_locale() {
+		"${mylrelease}" "translations/${PN}_${1}.ts" || die "lrelease ${1} failed"
+		doins "translations/${PN}_${1}.qm"
+	}
+	l10n_for_each_locale_do install_locale
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	einfo "For GPG support make sure app-crypt/qca is compiled with gpg USE flag."
+}


             reply	other threads:[~2020-09-07  8:56 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-07  8:56 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-05  9:57 [gentoo-commits] repo/gentoo:master commit in: net-im/psi/ Andreas Sturmlechner
2023-05-30 19:39 Andreas Sturmlechner
2022-09-21 12:27 Agostino Sarubbo
2022-09-21 12:23 Agostino Sarubbo
2022-09-20 11:35 Florian Schmaus
2022-06-27 17:40 Ulrich Müller
2021-07-04 14:03 Ulrich Müller
2020-11-18 22:34 Andreas Sturmlechner
2020-11-04 13:40 Joonas Niilola
2020-09-19 20:40 Andreas Sturmlechner
2020-04-21  8:18 Joonas Niilola
2020-04-01 14:38 Joonas Niilola
2020-03-19 11:46 Andreas Sturmlechner
2020-03-16 21:29 Andreas Sturmlechner
2020-02-02 19:35 Mart Raudsepp
2019-03-30  9:59 Andreas Sturmlechner
2019-03-30  9:59 Andreas Sturmlechner
2018-11-13 11:32 Andreas Sturmlechner
2018-11-04 20:33 Andreas Sturmlechner
2018-11-04 20:33 Andreas Sturmlechner
2018-11-04 20:33 Andreas Sturmlechner
2018-05-16 22:06 Mikle Kolyada
2018-03-22 12:22 Andreas Sturmlechner
2018-03-22 12:22 Andreas Sturmlechner
2018-03-03 13:19 Michał Górny
2018-02-22 18:27 Andreas Sturmlechner
2017-09-24 11:57 Andreas Sturmlechner
2017-08-02  6:31 Andreas Sturmlechner
2017-07-31 21:56 Andreas Sturmlechner
2017-07-31 21:24 Andreas Sturmlechner
2017-07-31 21:24 Andreas Sturmlechner
2017-07-30  9:44 Michał Górny
2017-06-04  7:09 Michael Palimaka
2017-03-26  9:49 Andreas Sturmlechner
2017-03-26  9:49 Andreas Sturmlechner
2017-03-06  1:52 Göktürk Yüksek
2016-10-28 14:35 Michael Palimaka
2016-03-23 13:31 Sergey Popov
2015-09-15  4:35 Jeroen Roovers
2015-09-06 13:25 Agostino Sarubbo
2015-08-22  5:08 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599468998.9fcc47ca9669c5a2b2fa8013b65e8dfbc44580be.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox